#include <iostream>

using namespace std;

int main(){
    int N, L;
    int i = 1;
    cin >> N >> L;

    for ( ; i <= N; ){
        int H;
        cin >> H;
        if (H <= L){
        cout << i << endl;
          return 0;
 }
}

    cout << -1 << endl;
    return 0;
}